Debian Bug report logs - #692864
ITP: mdpress -- tool creating Impress.js slideshows with Markdown

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Axel Beckert <abe@debian.org>

Date: Fri, 9 Nov 2012 22:27:01 UTC

Owned by: boutil@debian.org

Severity: wishlist

Fixed in version mdpress/0.0.14+debian-1

Done: Cédric Boutillier <boutil@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, abe@debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#692864; Package wnpp. (Fri, 09 Nov 2012 22:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
New Bug report received and forwarded. Copy sent to abe@debian.org, debian-devel@lists.debian.org, wnpp@debian.org. (Fri, 09 Nov 2012 22:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: mdpress -- create Impress.js slideshows with Markdown
Date: Fri, 09 Nov 2012 23:23:49 +0100
Package: wnpp
Severity: wishlist
Control: block -1 by 623914

* Package name    : mdpress
  Version         : 0.0.12
  Upstream Author : Aditya Bhargava <bluemangroupie@gmail.com>
* URL or Web page : https://github.com/egonSchiele/mdpress#readme
* License         : MIT
  Description     : create Impress.js slideshows with Markdown

mdpress is a commandline tool that converts Markdown files to
presentations using Impress.js.

Markdown is an easy-to-read and easy-to-write markup language with
readability being emphasized above all else.

mdpress uses the Redcarpet library to process Markdown syntax.

=========================================================================

It seems that all ruby dependencies are either already packaged (Yay! :-)
or at least ITP'ed (#623914). However, Impress.js itself (a presentation
framework based on the power of CSS3 transforms and transitions in
modern browsers and inspired by the idea behind prezi.com -- see
https://github.com/bartaz/impress.js) seems not yet packaged or
WNPP'ed. (I'm not exactly sure how how that dependency looks
like. Upstream does not explicitly mention it as dependency.)



Added blocking bug(s) of 692864: 623914 Request was from Axel Beckert <abe@debian.org> to submit@bugs.debian.org. (Fri, 09 Nov 2012 22:27:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#692864; Package wnpp. (Sat, 10 Nov 2012 06:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Tagliamonte <paultag@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 10 Nov 2012 06:09:03 GMT) Full text and rfc822 format available.

Message #12 received at submit@bugs.debian.org (full text, mbox):

From: Paul Tagliamonte <paultag@debian.org>
To: Axel Beckert <abe@debian.org>, 692864@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#692864: RFP: mdpress -- create Impress.js slideshows with Markdown
Date: Sat, 10 Nov 2012 01:06:44 -0500
[Message part 1 (text/plain, inline)]
On Fri, Nov 09, 2012 at 11:23:49PM +0100, Axel Beckert wrote:
> Package: wnpp
> Severity: wishlist
> Control: block -1 by 623914
> 
> * Package name    : mdpress
>   Version         : 0.0.12
>   Upstream Author : Aditya Bhargava <bluemangroupie@gmail.com>
> * URL or Web page : https://github.com/egonSchiele/mdpress#readme
> * License         : MIT
>   Description     : create Impress.js slideshows with Markdown
> 
> mdpress is a commandline tool that converts Markdown files to
> presentations using Impress.js.
> 
> Markdown is an easy-to-read and easy-to-write markup language with
> readability being emphasized above all else.
> 
> mdpress uses the Redcarpet library to process Markdown syntax.
> 
> =========================================================================
> 
> It seems that all ruby dependencies are either already packaged (Yay! :-)
> or at least ITP'ed (#623914). However, Impress.js itself (a presentation
> framework based on the power of CSS3 transforms and transitions in
> modern browsers and inspired by the idea behind prezi.com -- see
> https://github.com/bartaz/impress.js) seems not yet packaged or
> WNPP'ed. (I'm not exactly sure how how that dependency looks
> like. Upstream does not explicitly mention it as dependency.)

+1 to impress.js, and this looks rad. I'd love to see this packaged.

> 
> 
> -- 
> To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
> Archive: http://lists.debian.org/87zk2qe7pm.fsf@nemo.deuxchevaux.org
> 

-- 
 .''`.  Paul Tagliamonte <paultag@debian.org>
: :'  : Proud Debian Developer
`. `'`  4096R / 8F04 9AD8 2C92 066C 7352  D28A 7B58 5B30 807C 2A87
 `-     http://people.debian.org/~paultag
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#692864; Package wnpp. (Sat, 10 Nov 2012 06:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Tagliamonte <paultag@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 10 Nov 2012 06:09:07 GMT) Full text and rfc822 format available.

Message sent on to Axel Beckert <abe@debian.org>:
Bug#692864. (Sun, 11 Nov 2012 13:33:17 GMT) Full text and rfc822 format available.

Message #20 received at 692864-submitter@bugs.debian.org (full text, mbox):

From: Cédric Boutillier <boutil@debian.org>
To: 692864-submitter@bugs.debian.org
Subject: intent to package mdpress
Date: Sun, 11 Nov 2012 14:31:16 +0100
[Message part 1 (text/plain, inline)]
Control: retitle -1 ITP: mdpress -- tool creating Impress.js slideshows with Markdown
Control: owner -1 boutil@debian.org

Hi,

I'm proposing to package this very nice tool. It would be maintained
under the umbrella of the Debian Ruby packaging team. I will contact the
submitter of the ITP of ruby-launchy (#623914) to know the progress on
its packaging.
About impress.js, it is not listed as a dependency by mdpress, because
mdpress contains a convenience copy of its code. This has to be solved.

Cédric
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'ITP: mdpress -- tool creating Impress.js slideshows with Markdown' from 'RFP: mdpress -- create Impress.js slideshows with Markdown' Request was from Cédric Boutillier <boutil@debian.org> to 692864-submitter@bugs.debian.org. (Sun, 11 Nov 2012 13:33:17 GMT) Full text and rfc822 format available.

Owner recorded as boutil@debian.org. Request was from Cédric Boutillier <boutil@debian.org> to 692864-submitter@bugs.debian.org. (Sun, 11 Nov 2012 13:33:17 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, boutil@debian.org:
Bug#692864; Package wnpp. (Mon, 12 Nov 2012 14:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, boutil@debian.org. (Mon, 12 Nov 2012 14:15:05 GMT) Full text and rfc822 format available.

Message #29 received at 692864@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: 692864@bugs.debian.org
Subject: Re: Bug#692864: RFP: mdpress -- create Impress.js slideshows with Markdown
Date: Mon, 12 Nov 2012 15:13:49 +0100
Hi,

Axel Beckert wrote:
> mdpress is a commandline tool that converts Markdown files to
> presentations using Impress.js.
> 
> Markdown is an easy-to-read and easy-to-write markup language with
> readability being emphasized above all else.

JFTR: The already packaged python-landslide[1] seems to provide similar
features by converting Markdown (or ReST or Textile) to Google's HTML5
Slides[2].

  [1] https://github.com/adamzap/landslide
  [2] http://code.google.com/p/html5slides/

Nevertheless I still would like to see mdpress in Debian, too. :-)

		Regards, Axel
-- 
 ,''`.  |  Axel Beckert <abe@debian.org>, http://people.debian.org/~abe/
: :' :  |  Debian Developer, ftp.ch.debian.org Admin
`. `'   |  1024D: F067 EA27 26B9 C3FC 1486  202E C09E 1D89 9593 0EDE
  `-    |  4096R: 2517 B724 C5F6 CA99 5329  6E61 2FF9 CD59 6126 16B5



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, boutil@debian.org:
Bug#692864; Package wnpp. (Mon, 26 Nov 2012 23:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, boutil@debian.org. (Mon, 26 Nov 2012 23:33:05 GMT) Full text and rfc822 format available.

Message #34 received at 692864@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: Cedric Boutillier <boutil@debian.org>, 623914@bugs.debian.org
Cc: 692864@bugs.debian.org
Subject: Re: Bug#623914: any progress? [launchy, spoon, and mdpress]
Date: Tue, 27 Nov 2012 00:31:23 +0100
Hi,

Cédric Boutillier wrote:
> You proposed to package ruby-launchy about 18 months ago. Have you made
> any progress on that? I've just proposed to package mdpress (#692864)
> which has a depency on ruby-launchy.
> 
> This package would fit very well for inclusion in the Ruby packaging
> team, which could offer team maintenance. Don't hesitate to contact the
> team on debian-ruby@lists.debian.org.

I played around a little bit with gem2deb and noticed that there's one
launchy dependency which is not yet packaged: (ruby-)spoon. (Other,
already packaged dependencies seem to be at least ruby-minitest,
ruby-addressable, and ruby-ffi.) So I guess spoon[1] needs to be
packaged first. Apache License 2.0 is no issue and gem2deb built a
ruby-spoon.deb out of the box.

  [1] https://github.com/headius/spoon

Launchy did not built out of the box, symlink some files from
ruby-launchy/spec/*.rb to ruby-launchy/ helped. I also had to remove
the yaml file from debian/ruby-test-files.yaml.

Additionally two suspicious tests are failing:

# Running tests:

............F.....F..xprop:  unable to open display ''
xprop:  unable to open display ''
..........................................................................xprop:  unable to open display ''
.xprop:  unable to open display ''
.............................................

Fabulous tests in 0.089517s, 1575.1205 tests/s, 2122.5028 assertions/s.

  1) Failure:
test_0002_when host_os is 'darwin' the appropriate 'app_list' method is called(Launchy::Application::Browser) [/home/abe/debian/ruby-launchy-2.1.2/spec/applications/browser_spec.rb:24]:
Expected: "/usr/bin/open"
  Actual: "/bin/open"

  2) Failure:
test_0004_when host_os is 'linux' the appropriate 'app_list' method is called(Launchy::Application::Browser) [/home/abe/debian/ruby-launchy-2.1.2/spec/applications/browser_spec.rb:24]:
Expected: nil
  Actual: "/usr/bin/xdg-open"

I actually have more or less working proof-of-concept packages of
mdpress, ruby-launchy and ruby-spoon at [2], but since I haven't any
experience in ruby packaging, these packages were mostly made by
gem2deb. They're really ugly and hence they shouldn't be used but
rather improved.

  [2] http://noone.org/debian/mdpress-ugly-packages/

And no, I don't ITP any of these in Debian as I don't want to dig into
ruby packaging further than I already did. (But feel free to use them
as starting point for your own packages.) I just was too curious to
get mdpress running without spoiling my system with native gems. :-)

		Regards, Axel
-- 
 ,''`.  |  Axel Beckert <abe@debian.org>, http://people.debian.org/~abe/
: :' :  |  Debian Developer, ftp.ch.debian.org Admin
`. `'   |  1024D: F067 EA27 26B9 C3FC 1486  202E C09E 1D89 9593 0EDE
  `-    |  4096R: 2517 B724 C5F6 CA99 5329  6E61 2FF9 CD59 6126 16B5



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, boutil@debian.org:
Bug#692864; Package wnpp. (Mon, 03 Dec 2012 14:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cédric Boutillier <cedric.boutillier@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, boutil@debian.org. (Mon, 03 Dec 2012 14:03:06 GMT) Full text and rfc822 format available.

Message #39 received at 692864@bugs.debian.org (full text, mbox):

From: Cédric Boutillier <cedric.boutillier@gmail.com>
To: 692864@bugs.debian.org
Cc: abe@debian.org
Subject: some progress
Date: Mon, 3 Dec 2012 14:59:51 +0100
[Message part 1 (text/plain, inline)]
Control: block -1 by 693813
Control: block -1 by 693819

Hi Axel,

I've made some progress in the packaging of mdpress. The source contains
two javascript libraries that could be useful in themselves. So I am
starting with those.

On the other hand, I think there is a way around ruby-launchy, by using
directly xdg-open to open the browser.

Cheers,

Cédric
[signature.asc (application/pgp-signature, inline)]

Added blocking bug(s) of 692864: 693813 Request was from Cédric Boutillier <cedric.boutillier@gmail.com> to 692864-submit@bugs.debian.org. (Mon, 03 Dec 2012 14:03:06 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 692864: 693819 Request was from Cédric Boutillier <cedric.boutillier@gmail.com> to 692864-submit@bugs.debian.org. (Mon, 03 Dec 2012 14:03:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, boutil@debian.org:
Bug#692864; Package wnpp. (Mon, 03 Dec 2012 14:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cédric Boutillier <cedric.boutillier@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, boutil@debian.org. (Mon, 03 Dec 2012 14:09:03 GMT) Full text and rfc822 format available.

Message #48 received at 692864@bugs.debian.org (full text, mbox):

From: Cédric Boutillier <cedric.boutillier@gmail.com>
To: 692864@bugs.debian.org
Cc: abe@debian.org
Subject: launchy progress
Date: Mon, 3 Dec 2012 15:05:47 +0100
[Message part 1 (text/plain, inline)]
Hi!

Axel Beckert wrote:
> Launchy did not built out of the box, symlink some files from
> ruby-launchy/spec/*.rb to ruby-launchy/ helped. I also had to remove
> the yaml file from debian/ruby-test-files.yaml.
> 
> Additionally two suspicious tests are failing:
> 
> # Running tests:
> 
> ............F.....F..xprop:  unable to open display ''
> xprop:  unable to open display ''
> ..........................................................................xprop:  unable to open display ''
> .xprop:  unable to open display ''
> .............................................
> 
> Fabulous tests in 0.089517s, 1575.1205 tests/s, 2122.5028 assertions/s.
> 
>   1) Failure:
> test_0002_when host_os is 'darwin' the appropriate 'app_list' method is called(Launchy::Application::Browser) [/home/abe/debian/ruby-launchy-2.1.2/spec/applications/browser_spec.rb:24]:
> Expected: "/usr/bin/open"
>   Actual: "/bin/open"
> 
>   2) Failure:
> test_0004_when host_os is 'linux' the appropriate 'app_list' method is called(Launchy::Application::Browser) [/home/abe/debian/ruby-launchy-2.1.2/spec/applications/browser_spec.rb:24]:
> Expected: nil
>   Actual: "/usr/bin/xdg-open"

I had the same issue, when trying to work on this. I solved it by
commenting out the failing tests:
- the first failure is caused by the fact that when the fake os name is
  darwin, it compares the path for the "open" command with the hard
  coded path "/usr/bin/open". This fails because "which open" (often)
  returns "/bin/open" on Debian.
- the second failure happens when the fake os name is Linux. But here,
  the comment in the test file mentions that the test will fail on linux
  machines. so...

Cheers,

Cédric
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 17 Jun 2013 08:06:08 GMT) Full text and rfc822 format available.

Reply sent to Cédric Boutillier <boutil@debian.org>:
You have taken responsibility. (Wed, 07 Aug 2013 21:03:17 GMT) Full text and rfc822 format available.

Notification sent to Axel Beckert <abe@debian.org>:
Bug acknowledged by developer. (Wed, 07 Aug 2013 21:03:17 GMT) Full text and rfc822 format available.

Message #55 received at 692864-close@bugs.debian.org (full text, mbox):

From: Cédric Boutillier <boutil@debian.org>
To: 692864-close@bugs.debian.org
Subject: Bug#692864: fixed in mdpress 0.0.14+debian-1
Date: Wed, 07 Aug 2013 21:00:05 +0000
Source: mdpress
Source-Version: 0.0.14+debian-1

We believe that the bug you reported is fixed in the latest version of
mdpress, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 692864@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Cédric Boutillier <boutil@debian.org> (supplier of updated mdpress package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 16 Jun 2013 11:40:39 +0200
Source: mdpress
Binary: mdpress
Architecture: source all
Version: 0.0.14+debian-1
Distribution: unstable
Urgency: low
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Changed-By: Cédric Boutillier <boutil@debian.org>
Description: 
 mdpress    - creation of Impress.js slideshows with Markdown
Closes: 692864
Changes: 
 mdpress (0.0.14+debian-1) unstable; urgency=low
 .
   * Initial release (Closes: #692864)
Checksums-Sha1: 
 6f22cbe93d92784afed8b7bbc15fd4077acf116e 2026 mdpress_0.0.14+debian-1.dsc
 9965939da150f859750faf8fb34645c1099e904d 37123 mdpress_0.0.14+debian.orig.tar.gz
 151a021b00395bdd15b9d42709a74eea5659c7e6 4629 mdpress_0.0.14+debian-1.debian.tar.gz
 21cda357a29f397c702f9c572c1f4e1e0a6b56ab 31710 mdpress_0.0.14+debian-1_all.deb
Checksums-Sha256: 
 f6c0778883a4cfed3f5a4bb0cddbcdf693d41217a94599c36ce48215e4c26132 2026 mdpress_0.0.14+debian-1.dsc
 d4e75b889814d7c9978fda8ee5e73fcb08d1e1e7140c05d35891fc19c75682a4 37123 mdpress_0.0.14+debian.orig.tar.gz
 6aa4f0db6f59fb67931828a06364b2978dc483dad33cbb0b00f8ecc01228dd2d 4629 mdpress_0.0.14+debian-1.debian.tar.gz
 25f725c140514139a8b82cdf2e1ad2dcce98a2384898fa00237f8f03705f4b60 31710 mdpress_0.0.14+debian-1_all.deb
Files: 
 a4a62972c6cf9f9bade21ff2b45d6707 2026 ruby optional mdpress_0.0.14+debian-1.dsc
 1bca9964486839e01166bc5778a72951 37123 ruby optional mdpress_0.0.14+debian.orig.tar.gz
 785f0b47abd92ce2eba9003f621da9f5 4629 ruby optional mdpress_0.0.14+debian-1.debian.tar.gz
 303a5b8b4f1370811231f9a4413753d0 31710 ruby optional mdpress_0.0.14+debian-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iQIcBAEBCAAGBQJSAl/9AAoJEKkHZFuPn48JruEP/jUFfuEqYXztfWzV4NI9RBIv
jpdDTH3V1d11GybJnD4k39ptbACv6q0ZJfbPCfSWiO5ppOFbeYUbeWrEpze1OGUO
xgbnAuYswR1TqrraID4aty/+ODLHjL7Hxr6u6+xpDIh761nI+maMc0eiUMSVN4nQ
SlzS7UWwVB54hwAhVnooOqQARKTkJcUq0W0wopR/dbfYnHPIgfG1RJPOP6y9I6rF
k3RaxU4GbclJwJZqExDFLYu06SBFYEStzNm4tCGojbgQchBU/QHm7VUjHu7VwMw3
E4vkRh+8U4EK4PIZMilrBwDdQSgVDpYSBsZm3AVRrm+/tn5hDu4tVSJoe4dCDVdE
xwideFw+2hLRjIne4ZmLlM5zBaveXaGGVv/fHusn6/pvYOqmvkhGnYWlM6uIFAVM
8aXBHbARdnxwqKjKX8hBmoWNNiDgGhWZEB4D2Xl8s8cbyc5Yym7B5U3vBFiuAdTV
6moTCknnVsu1BAVA14Im8af4U2R2YY9oHQ+qp40PeiByA4x8Rwddppnwn6NTAcKe
aq4jirEZz3yMQ+Mhj1dfFPCC1YC454Ae7wPMfTE28zk1ctYtKTSxfJ+Ociz3w9iG
kD3d8X5lv/Pj+GycRnir4tQonQ/UKVDfomhBOCTD3jyfqrFgFBoZnAqnoxMdAp4s
X4brtY6Ex9jmz1CXSVZa
=0Nmz
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 05 Sep 2013 07:33:21 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Adrian Bunk <bunk@stusta.de> to control@bugs.debian.org. (Sat, 15 Feb 2014 17:00:04 GMT) Full text and rfc822 format available.

Removed blocking bug(s) of 692864: 623914 Request was from Adrian Bunk <bunk@stusta.de> to control@bugs.debian.org. (Sat, 15 Feb 2014 17:00:04 GMT) Full text and rfc822 format available.

Bug archived. Request was from Adrian Bunk <bunk@stusta.de> to control@bugs.debian.org. (Sat, 15 Feb 2014 17:00:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 13:46:54 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.